Name:           python-pure-eval
Version:        0.2.2
Release:        5%{?dist}
Summary:        Safely evaluate AST nodes without side effects

License:        MIT
URL:            http://github.com/alexmojaki/pure_eval
Source0:        %{pypi_source pure_eval}

BuildArch:      noarch
BuildRequires:  python3-devel


%description
This is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.

%package -n     python3-pure-eval
Summary:        %{summary}

%description -n python3-pure-eval
This is a Python package that lets you safely evaluate certain AST nodes
without triggering arbitrary code that may have unwanted side effects.


%prep
%autosetup -n pure_eval-%{version}


%generate_buildrequires
%pyproject_buildrequires -r -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pure_eval


%check
%tox


%files -n python3-pure-eval -f %{pyproject_files}
%doc README.md

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 07 2022 cunshunxia <cunshunxia@tencent.com> - 0.2.2-1
- initial build
